import { Component, ReactNode } from 'react';
import PropTypes from 'prop-types';
import { Storage } from 'indexa';
interface Props {
    children?: ReactNode;
    storage: Storage;
}
declare class StorageProvider extends Component<Props> {
    static childContextTypes: {
        storage: PropTypes.Requireable<object>;
    };
    getChildContext(): {
        storage: Storage<any, import("indexa").AnyAction<any>>;
    };
    render(): JSX.Element;
}
export default StorageProvider;
