"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const prop_types_1 = require("prop-types");
exports.ReactIndexaContext = react_1.createContext(null);
class StorageProvider extends react_1.Component {
    getChildContext() {
        const { storage } = this.props;
        return {
            storage,
        };
    }
    render() {
        const { children } = this.props;
        return children;
    }
}
StorageProvider.childContextTypes = {
    storage: prop_types_1.object,
};
exports.default = StorageProvider;
