"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const prop_types_1 = __importDefault(require("prop-types"));
const IndexaContext_1 = require("./IndexaContext");
class StorageProvider extends react_1.Component {
    getChildContext() {
        const { storage } = this.props;
        return {
            storage,
        };
    }
    render() {
        const { children, storage } = this.props;
        const ContextProvider = IndexaContext_1.indexaContext.Provider;
        return (<ContextProvider value={storage}>
        {children}
      </ContextProvider>);
    }
}
StorageProvider.childContextTypes = {
    storage: prop_types_1.default.object,
};
exports.default = StorageProvider;
